/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;

public class RenderRelatorioGenericoEmpresasSel implements ListitemRenderer  {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		Empresa empresa = (Empresa) o;
		if (empresa == null) {
			return;
		}
		Listcell lc = new Listcell(empresa.getEmpresaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(empresa.getNombempresa());
		lc.setParent(lstm);
	
		lstm.setAttribute("data", empresa);
	}

}
